/**
random flowerse by <a href="http://www.local-guru.net/blog">guru</a>
*/

import java.util.List;
import java.util.ArrayList;

ArrayList flowers;

void setup() {
  size(300, 300);
  flowers = new ArrayList();
}

void draw() {
  background(0);
  for ( int i=0; i < flowers.size(); i++) {
    ((Flower)flowers.get(i)).draw();
  }
}

void mouseClicked() {
  if ( mouseButton==RIGHT) {
    flowers.clear();
  } else {
    flowers.add( new Flower( mouseX, mouseY ));
  }
}


class Flower {
  float[] r;
  PVector pos;
  color c;
  public Flower( int x, int y ) {
    pos = new PVector( x, y );
    int l = (int)random(10)+5;
    r= new float[l];
    for ( int i =0; i < l; i++) { 
      r[i] = random(20)+10;
    };
    colorMode(HSB);
    c = color( random(255), 255, 255);
  }

  public void draw() {
    stroke(c);
    fill(c);
    int l = r.length;
    line( pos.x, pos.y, pos.x, height );
    beginShape();
    for ( int i = 0; i < l; i++) {
      vertex( cos(i*TWO_PI/l ) * r[i] + pos.x, sin( i*TWO_PI/l )*r[i]+pos.y);
    }
    endShape();
  }
}

